### Method

# EBookContacts Contact set_attributes

#### Declaration [src]

    void
    e_contact_set_attributes (
      EContact* contact,
      EContactField field_id,
      GList* attributes
    )

#### Description [src]

Sets the vcard attributes for `contact`‘s `field_id`. Attributes are added to the contact in the same order as they are in `attributes`.

#### Parameters

`field_id`

  Type: `EContactField`

  An `EContactField`.

`attributes`

  Type: A list of `None`

  A `GList` of pointers to `EVCardAttribute`.

  The data is owned by the caller of the method.